Rename email server
curl --request PATCH \
--url https://app.gtm-api.com/id/v4/api/email-boxes/{sid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Team-SID: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://app.gtm-api.com/id/v4/api/email-boxes/{sid}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Team-SID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Team-SID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>'})
};
fetch('https://app.gtm-api.com/id/v4/api/email-boxes/{sid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.gtm-api.com/id/v4/api/email-boxes/{sid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Team-SID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.gtm-api.com/id/v4/api/email-boxes/{sid}"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Team-SID", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.gtm-api.com/id/v4/api/email-boxes/{sid}")
.header("Authorization", "Bearer <token>")
.header("Team-SID", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.gtm-api.com/id/v4/api/email-boxes/{sid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Team-SID"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"operation": "update",
"item": {
"sid": "<string>",
"team_sid": "<string>",
"name": "<string>",
"plan": "starter",
"location": "hel1",
"status": "provisioning",
"suspended_reason": "payment_failed",
"complimentary": true,
"seats_cap": 1,
"seats_used": 1,
"ipv4": "<string>",
"release": "<string>",
"run": {
"verb": "<string>",
"status": "<string>",
"phase": "<string>",
"phase_index": 1,
"phase_count": 1,
"started_at": "<string>",
"error_code": "<string>"
},
"price": {
"amount": "<string>",
"currency": "<string>",
"interval": "<string>"
},
"renews_at": "<string>",
"paid_through": "<string>",
"failed_error_code": "<string>",
"created_at": "<string>",
"provisioned_at": "<string>",
"suspended_at": "<string>",
"updated_at": "<string>"
},
"updated_fields": [
"<string>"
],
"previous_values": {},
"meta": {
"trace_id": "<string>",
"span_id": "<string>",
"timestamp": "<string>",
"duration_ms": 1,
"team_sid": "<string>",
"actor_type": "<string>"
}
}email_boxes
Rename email server
Rename an email server: the label on the Email Accounts screen, 1 to 60 characters. Nothing else changes. Requires can_update_email_accounts.
Contract:
- MCP tool
update_email_box, registry packagemcp.id/email_boxes, mountid.billing. - Operation
update, response envelopeupdate. - Flags: none.
PATCH
/
api
/
email-boxes
/
{sid}
Rename email server
curl --request PATCH \
--url https://app.gtm-api.com/id/v4/api/email-boxes/{sid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Team-SID: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://app.gtm-api.com/id/v4/api/email-boxes/{sid}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Team-SID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Team-SID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>'})
};
fetch('https://app.gtm-api.com/id/v4/api/email-boxes/{sid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.gtm-api.com/id/v4/api/email-boxes/{sid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Team-SID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.gtm-api.com/id/v4/api/email-boxes/{sid}"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Team-SID", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.gtm-api.com/id/v4/api/email-boxes/{sid}")
.header("Authorization", "Bearer <token>")
.header("Team-SID", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.gtm-api.com/id/v4/api/email-boxes/{sid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Team-SID"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"operation": "update",
"item": {
"sid": "<string>",
"team_sid": "<string>",
"name": "<string>",
"plan": "starter",
"location": "hel1",
"status": "provisioning",
"suspended_reason": "payment_failed",
"complimentary": true,
"seats_cap": 1,
"seats_used": 1,
"ipv4": "<string>",
"release": "<string>",
"run": {
"verb": "<string>",
"status": "<string>",
"phase": "<string>",
"phase_index": 1,
"phase_count": 1,
"started_at": "<string>",
"error_code": "<string>"
},
"price": {
"amount": "<string>",
"currency": "<string>",
"interval": "<string>"
},
"renews_at": "<string>",
"paid_through": "<string>",
"failed_error_code": "<string>",
"created_at": "<string>",
"provisioned_at": "<string>",
"suspended_at": "<string>",
"updated_at": "<string>"
},
"updated_fields": [
"<string>"
],
"previous_values": {},
"meta": {
"trace_id": "<string>",
"span_id": "<string>",
"timestamp": "<string>",
"duration_ms": 1,
"team_sid": "<string>",
"actor_type": "<string>"
}
}Authorizations
Path Parameters
Body
application/json